package com.zswl.dataservicestarter.dao;

import com.zswl.dataservicestarter.dao.base.MongoDao;
import com.zswl.dataservicestarter.domain.DataServiceOrderInfo;

/**
 * 订单信息Dao
 */
public interface DataServiceOrderInfoDao extends MongoDao<DataServiceOrderInfo> {

    DataServiceOrderInfo findTopById(String id);

    DataServiceOrderInfo findTopByHashCode(int hashCode);

    DataServiceOrderInfo findTopByOrderNo(String orderNo);
}
