package com.zswl.dataservicestarter.domain;

import com.zswl.dataservicestarter.domain.base.DataServiceSuperEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;

/**
 * @author TRX
 * @date 2024/3/25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DataServicePaymentInfo extends DataServiceSuperEntity {

    @Indexed(unique = true)
    private String orderNo;

    /**
     * 支付订单号
     */
    private String paymentNo;

    /**
     * 支付时间
     */
    private String paymentTime;

    /**
     * 支付方式
     */
    private String paymentWay;

    /**
     * 支付订单状态
     */
    private String paymentStatus;

    /**
     * 支付信息
     */
    private String miniPayRequest;

    /**
     * 支付订单创建时间
     */
    private Long payCreateTime;

}
