package com.zswl.dataservicestarter.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.LastModifiedDate;
import org.springframework.data.mongodb.core.index.Indexed;

/**
 * @author TRX
 * @date 2024/3/25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SuperModel {

    private String id;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 修改时间
     */
    private Long updateTime;

    /**
     * 备注
     */
    private String remark;
}
