package com.zswl.dataservicestarter.model.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author TRX
 * @date 2024/3/21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("得到token参数")
public class TokenParam {
    /**
     * 渠道ID
     */
    @ApiModelProperty(value = "渠道ID", required = true)
    private String entId;
    /**
     * appSecret
     */
    private String appSecret;
}
