package com.zswl.dataservicestarter.dao;

import com.zswl.dataservicestarter.dao.base.MongoDao;
import com.zswl.dataservicestarter.domain.DataServiceGoods;
import com.zswl.dataservicestarter.domain.DataServiceOrderInfo;

import java.util.List;

/**
 * 订单信息Dao
 */
public interface DataServiceGoodsDao extends MongoDao<DataServiceGoods> {

    DataServiceOrderInfo findTopById(String id);

    DataServiceOrderInfo findTopByOrderNo(String orderNo);
}
