package com.zswl.dataservicestarter.type;

import lombok.Getter;

/**
 * 订单类型
 */
public enum DataServiceRefundLogType {
    /**
     * 待付款
     */
    WAIT_PAYMENT("待付款"),

    /**
     * 待使用
     */
    WAIT_USE("待使用"),

    /**
     * 已使用
     */
    USED("已使用"),
    /**
     * 申请退款
     */
    APPLY_REFUND("申请退款"),

    /**
     * 退款处理中
     */
    APPLY_REFUNDING("退款处理中"),

    /**
     * 拒绝退款
     */
    REFUSAL_REFUND("拒绝退款"),

    UN_REFUND(""),

    /**
     * 已退款
     */
    REFUNDED("已退款"),

    /**
     * 关闭订单
     */
    CLOSE("闭订单"),
    ;

    @Getter
    private String remark;

    DataServiceRefundLogType(String remark) {
        this.remark = remark;
    }
}
