package com.zswl.dataservicestarter.utils.net.apache;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;
import java.util.Set;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ResponseModel {

    /**
     * 响应编码
     */
    private int code;

    public boolean isSuccess() {
        if (code == 200) {
            return true;
        }
        return false;
    }


    /**
     * header
     */
    private Map<String, Set<Object>> headers;

    /**
     * body
     */
    private Object body;

}
